Search documentation of tiger_stripe

# Stripe.Services.TaxIdService (tiger_stripe v0.1.1)

Copy Markdown View Source

tax_id

You can add one or multiple tax IDs to a customer or account. Customer and account tax IDs get displayed on related invoices and credit notes.

Related guides: Customer tax identification numbers, Account tax IDs

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a tax ID

delete(client, id, params \\ %{}, opts \\ [])

Delete a tax ID

list(client, params \\ %{}, opts \\ [])

List all tax IDs

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a tax ID

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a tax ID

Creates a new account or customer `tax_id` object.

# delete(client, id, params \\ %{}, opts \\ [])

    @spec delete(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Delete a tax ID

Deletes an existing account or customer `tax_id` object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all tax IDs

Returns a list of tax IDs.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a tax ID

Retrieves an account or customer `tax_id` object.